> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Recipient

> Update details of a specific recipient by ID.



## OpenAPI

````yaml put /recipients/{recipientId}
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /recipients/{recipientId}:
    parameters:
      - name: recipientId
        in: path
        description: Recipient ID
        required: true
        schema:
          type: integer
          example: 296446
    put:
      tags:
        - Recipients
      summary: Update Recipient
      description: Update details of a specific recipient by ID.
      operationId: updateRecipientDetails
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/recipient'
      responses:
        '200':
          description: Successful Response
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/recipient'
              examples:
                recipient:
                  $ref: '#/components/examples/recipient-example'
        '400':
          $ref: '#/components/responses/MailingListDoesNotExist'
        '403':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    recipient:
      type: object
      properties:
        id:
          type: integer
          example: 18113288
          readOnly: true
        mailing_list_id:
          type: integer
          example: 1
        name:
          type: string
          example: Tobias Example
        company:
          type: string
          example: www.thanks.io
        address:
          type: string
          example: 123 Main Street
        address2:
          type: string
          example: Apartment 1
        city:
          type: string
          example: Any Town
        province:
          type: string
          description: State or Province
          example: KS
        postal_code:
          type: string
          example: '12345'
        country:
          type: string
          example: US
        dob:
          type: string
          description: >-
            Date of Birth in ISO 8601 format (YYYY-MM-DD) or null if not set. If
            provided as MM/DD/YYYY in requests, it will be converted to ISO 8601
            format.
          example: '1981-04-23'
        email:
          type: string
          example: tobias@example.com
        phone:
          type: string
          example: +1 (555) 123-4567
        custom1:
          type: string
          description: Custom field for additional information about the recipient
          example: Unique Info
        custom2:
          type: string
          description: Custom field for additional information about the recipient
          example: For example a product code or customer ID
        custom3:
          type: string
          description: Custom field for additional information about the recipient
          example: Any Extra Info
        custom4:
          type: string
          description: Custom field for additional information about the recipient
          example: Any Extra Info
        mailing-list:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/mailing-list'
          description: The mailing list this recipient belongs to
        created_at:
          readOnly: true
          type: string
          example: '2025-06-27T14:57:11.000000Z'
        updated_at:
          readOnly: true
          type: string
          example: '2025-06-27T14:57:11.000000Z'
    mailing-list:
      type: object
      properties:
        id:
          type: integer
          example: 1
        user_id:
          type: integer
          example: 2
        sub_account_id:
          type:
            - integer
            - 'null'
        type:
          type: string
          example: manual
          enum:
            - csv
            - manual
            - map
            - friends
            - retarget
            - leads
            - zapier
            - radius
            - highlevel
            - qrscans
        description:
          type: string
          example: Test
        qrcode_url:
          type:
            - string
            - 'null'
        total_recipients:
          type: integer
          example: 1
        processed:
          type: boolean
          example: true
        is_suppression_list:
          type: boolean
          example: false
        total_scans:
          type: integer
          example: 0
        unique_scans:
          type: integer
          example: 0
        last_scan:
          type:
            - string
            - 'null'
        total_sends:
          type: integer
          example: 0
        last_send:
          type:
            - string
            - 'null'
        api_key:
          type: string
          description: >-
            API key that can be used to add recipients to this mailing list with
            thanks.io Webhooks
          example: abcd1234efgh5678ijkl9012mnop3456
        created_at:
          type: string
          example: '2018-07-15T06:06:57.000000Z'
          format: date-time
        created_at_diff:
          type: string
          example: 6 years ago
          description: Human-friendly relative time since creation
        updated_at:
          type: string
          example: '2025-06-27T14:57:11.000000Z'
          format: date-time
  examples:
    recipient-example:
      summary: Example Recipient
      value:
        id: 18113288
        mailing_list_id: 1
        name: Tobias Example
        company: thanks.io
        address: 12345 Main Street
        address2: Apartment 1
        city: Any Town
        province: NY
        postal_code: '12345'
        country: US
        dob: '1981-04-23'
        email: tobias@example.com
        phone: 845-988-6485
        custom1: Unique Info
        custom2: For example a product code or customer ID
        custom3: ''
        custom4: ''
        created_at: '2025-06-27T14:57:11.000000Z'
        updated_at: '2025-06-27T14:57:11.000000Z'
        mailing_list:
          id: 1
          user_id: 2
          sub_account_id: null
          type: manual
          description: Sphere Contacts Mailing List
          qrcode_url: null
          total_recipients: 1
          processed: true
          is_suppression_list: false
          total_scans: 1
          unique_scans: 1
          last_scan: '2025-07-13T13:57:11.000000Z'
          total_sends: 2
          last_send: '2025-07-06T13:57:11.000000Z'
          created_at: 6 years ago
          updated_at: '2025-06-27T14:57:11.000000Z'
  responses:
    MailingListDoesNotExist:
      description: The specified mailing list does not exist
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Mailing List Does Not Exist
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````